package com.ys.bdtp.android.base.extensions

import android.view.Menu
import android.view.MenuItem

/**
 * Menu扩展indexOf函数
 *
 * @param   item    查询item
 * @return  item索引，不存在返回-1
 */
fun Menu.indexOf(item: MenuItem): Int {
    for (i in 0 until size()) {
        if (this.getItem(i) === item) {
            return i
        }
    }
    return -1
} // Function Menu.indexO()